Bug 5017 - gram[24] tests that need to be updated
: gram[24] tests that need to be updated
Status: RESOLVED FIXED
: GRAM
wsrf tests
: 4.1.0
: PC Linux
: P1 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-02-20 10:18 by
Modified: 2011-12-19 10:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-20 10:18:02
The following tests failed during tests of 4.0.4rc1. They problems are not
very serious, but should be fixed for 4.0.5

1. globus_wsrf_gram_scheduler_test:
  failure_test/failure004.xml succeeded instead of producing a failure.
  I suggest to adapt that testcase to the following so that it's a real
  failure_test then. I would also changed the FaultType to the right one.

  #############################
  <!--
  TestName: bad directory permissions
  FaultType:
http://www.globus.org/namespaces/2004/10/gram/job/faults}FilePermissionsFaultType
  # condor doesn't check file permissions for vanilla jobs
  Skip: Condor Multi
  -->

  <job>
     <executable>/bin/true</executable>
     <directory>/root</directory>
     <stdout>stdout</stdout>
  </job>
  #############################

  Now it is like this (didn't fail and had a wrong FaultType, the comment
  shows the doubts of the author (whoever that was)):

  #############################
  <!--
  TestName: bad directory permissions
  FaultType:
{http://www.globus.org/namespaces/2004/10/gram/job/faults}InvalidPathFaultType
  # condor doesn't check file permissions for vanilla jobs
  Skip: Condor Multi
  #why isn't it:
  #
{http://www.globus.org/namespaces/2004/10/gram/job/faults}FilePermissionsFaultType
  -->
  <job>
     <executable>/bin/true</executable>
     <directory>/root</directory>
  </job>
  #############################

  and did not fail. I guess providing a directory without write permissions
  is no problem as long there are no attempts to write there.

2. globus_gram_client_tools_test
   i would replace "new Utilities();" to "new Globus::Testing::Utilities();"
   in all perl scripts, because otherwise the Utilities class is not found
   and the tests can't be executed.

3. globus_gram_client_tools_test
   in globus-gram-client-tools-check-for-commands.pl:
   the check for existance of grid-cert-renew fails because it's not part
   of the 4.0.4 code. do we need this test at all?
------- Comment #1 From 2007-02-21 03:19:48 -------
Regarding the test mentioned in 1.
There are different exceptions on different hosts for the following job
description:

<job>
     <executable>/bin/true</executable>
     <directory>/root</directory>
     <stdout>stdout</stdout>
</job>

osg-test1.unl.edu (Java 1.4.2): 
###############################
here i get a
{http://www.globus.org/namespaces/2004/10/gram/job/faults}FilePermissionsFaultType

my laptop (Java 1.5):
#####################
here i get a
{http://www.globus.org/namespaces/2004/10/gram/job/faults}InvalidPathFaultType

=> Problem for the test
Is this due to different java versions ?
------- Comment #2 From 2011-12-19 10:11:16 -------
I think all the gram5 stuff is ok now.